Page MenuHomePhabricator

Title of the source and target columns should be aligned
Closed, ResolvedPublic

Description

Intermittently, the target heading has larger height than the source heading.

http://en.wikipedia.beta.wmflabs.org/wiki/Special:ContentTranslation?from=nn&to=nb&page=New+Delhi&targettitle=New+Delhi

Also, they are not re-aligned on resizing the window.

Event Timeline

Arrbee created this task.Dec 23 2014, 2:19 PM
Arrbee raised the priority of this task from to High.
Arrbee updated the task description. (Show Details)
Arrbee added a subscriber: Arrbee.
Amire80 claimed this task.Dec 23 2014, 3:09 PM

I cannot reproduce it with this link, but I clearly remember that it happened during the sprint planning meeting.

@Arrbee, if you can reproduce it, can you please ping me so I'd debug it on your machine?

Amire80 moved this task from Backlog to Blocked on the LE-Sprint-81 board.Dec 30 2014, 3:21 PM
Amire80 moved this task from Blocked to In Progress on the LE-Sprint-81 board.Jan 2 2015, 12:12 PM
Amire80 updated the task description. (Show Details)Jan 2 2015, 8:57 PM
Amire80 set Security to None.

I can only reproduce it intermittently on the beta cluster. I cannot reproduce it at all in debug mode, and not on my laptop. But it does happen frequently in beta, so it's definitely real. So my fix is going to be a bit of a guess and will require careful review and testing.

Change 182477 had a related patch set uploaded (by Amire80):
Align the headings after the source is loaded and on resizing

https://gerrit.wikimedia.org/r/182477

Patch-For-Review

Amire80 moved this task from In Progress to In Review on the LE-Sprint-81 board.Jan 2 2015, 9:03 PM

Here is what I am seeing. Don't know if that is intended.

On load:

After resize:

Change 183016 had a related patch set uploaded (by Santhosh):
Align the target title after a timeout to get correct dimensions

https://gerrit.wikimedia.org/r/183016

Patch-For-Review

Change 183016 merged by jenkins-bot:
Align the target title after a timeout to get correct dimensions

https://gerrit.wikimedia.org/r/183016

Change 182477 abandoned by Amire80:
Align the headings after the source is loaded and on resizing

Reason:
Done in another commit, although I may revive the alignment refactoring in some other patch.

https://gerrit.wikimedia.org/r/182477

santhosh moved this task from In Review to Done on the LE-Sprint-81 board.Jan 8 2015, 3:43 AM
Arrbee closed this task as Resolved.Jan 8 2015, 2:41 PM